Subject: RE: [Sipping] GRUU support in reg event package

From: [email-masked]
Date: Wed, 6 Oct 2004 20:21:47 +0300

> -----Original Message-----
> From: ext Paul Kyzivat [mailto:[email-masked]]
> Sent: 06.October.2004 19:03
> To: Paul Kyzivat
> Cc: Khartabil Hisham (Nokia-TP-MSW/Helsinki); [email-masked]
> Subject: Re: [Sipping] GRUU support in reg event package
> 
> 
> 
> 
> Paul Kyzivat wrote:
> > 
> >> I have a further comment about this draft:
> >>
> >> I think it is a good idea for the draft stress that this is an 
> >> extension and how a client should behave when it receives the 
> >> notifications with XML elements it does not understand 
> (ignore them, 
> >> for example). A section on registrar behaviour is 
> beneficial as well.
> > 
> > OK, that seems reasonable.
> 
> I thought further about this, and have questions:
> 
> It does no good for an extension to provide special 
> instructions for how 
> the extension should be supported by something that doesn't 
> support the 
> extension. In fact RFC 3680 already gives very clear instruction that 
> unknown values in the extension entities MUST be ignored. So that is 
> already covered.
> 
> What probably does make sense is just to point out that fact 
> - that this 
> extension is indeed backward compatible because of the rules in 3680.
> 
> Regarding registrar behavior - nominally the registrar isn't 
> involved at 
> all. The NOTIFIER is presumably in some close relationship with the 
> registrar. It may make sense to have the kind of sections 
> that typically 
> appear in event packages:
> 
> - Notifier Processing of SUBSCRIBE Requests
> - Notifier Generation of NOTIFY Requests
> - Subscriber Processing of NOTIFY Requests
> 
> Would that cover your concerns?

Yes, thanks.

Hisham
> 	Paul

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP